Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1266129 - [abrt] blueman: Agent.py:69:reply:TypeError: 'NoneType' object is not callable
Summary: [abrt] blueman: Agent.py:69:reply:TypeError: 'NoneType' object is not callable
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: blueman
Version: 22
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:6f89b91dc02bdde2227e88b8349...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-09-24 14:36 UTC by danielnm
Modified: 2016-07-19 18:01 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 18:01:02 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (786 bytes, text/plain)
2015-09-24 14:36 UTC, danielnm
no flags Details
File: environ (2.52 KB, text/plain)
2015-09-24 14:36 UTC, danielnm
no flags Details

Description danielnm 2015-09-24 14:36:10 UTC
Version-Release number of selected component:
blueman-2.0-11.fc22

Additional info:
reporter:       libreport-2.6.2
cmdline:        python /usr/bin/blueman-applet
executable:     /usr/bin/blueman-applet
kernel:         4.1.6-201.fc22.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
Agent.py:69:reply:TypeError: 'NoneType' object is not callable

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/blueman/gui/Notification.py", line 127, in on_notification_closed
    actions_cb(n, "closed")
  File "/usr/lib/python2.7/site-packages/blueman/plugins/applet/TransferService.py", line 59, in _on_action
    self._agent.reply(obex.Error.Rejected)
  File "/usr/lib/python2.7/site-packages/blueman/bluez/obex/Agent.py", line 69, in reply
    self._error_handler(dbus.DBusException(name=('org.bluez.obex.Error.%s' % reply.__name__)))
TypeError: 'NoneType' object is not callable

Local variables in innermost frame:
reply: <class 'blueman.bluez.obex.Error.Rejected'>
self: <blueman.bluez.obex.Agent.Agent at /org/blueman/obex_agent at 0x7f688372de60>

Comment 1 danielnm 2015-09-24 14:36:14 UTC
Created attachment 1076567 [details]
File: backtrace

Comment 2 danielnm 2015-09-24 14:36:16 UTC
Created attachment 1076568 [details]
File: environ

Comment 3 Fedora Admin XMLRPC Client 2016-06-21 16:25:24 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 4 Fedora End Of Life 2016-07-19 18:01:02 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.